module HTTP(copyUrl,Cachable(..),exists) where

import Curl(Cachable(..))
#ifdef HAVE_HTTP
import Network.HTTP
import Network.URI

exists :: Bool
exists = True

copyUrl :: String -> String -> Cachable -> IO ()
copyUrl url file _cache = case parseURI url of
    Nothing -> fail $ "Invalid URI: " ++ url
    Just uri -> do
        let request = Request {
                rqURI = uri,
                rqMethod = GET,
                rqHeaders = [],
                rqBody = ""
                }
        resp <- simpleHTTP request
        case resp of
            Right res@Response { rspCode = (2,0,0) } -> writeFile file (rspBody res)
            Right Response { rspCode = (x,y,z) } -> fail $ "HTTP " ++ show x ++ show y ++ show z ++ " error getting " ++ show uri
            Left err -> fail $ show err

#else

exists :: Bool
exists = False

copyUrl :: String -> String -> Cachable -> IO ()
copyUrl _ _ _ = fail "Network.HTTP does not exist"

#endif


