#!/usr/bin/env perl

# Some tests for 'darcs annotate'

use Test::More 'no_plan';
use lib 'lib/perl';
use Shell::Command;
use Test::Darcs;
use strict; 
use warnings;

cleanup 'temp1';
ok( mkpath('temp1'), "temp1 created");
mkpath('temp1');
ok(chdir('temp1'), "chdir temp1");
darcs 'init';

###

my $test_name = 'record something';

`date >> date.t`;
darcs 'add date.t';

like(darcs(q(record -A 'Mark Stosberg <a@b.com>' -a -m foo date.t)), qr/finished recording/i, $test_name);

####

like(darcs(q(annotate --xml date.t)),qr/&lt;a\@b.com&gt;/,'annotate --xml encodes < and >');

chdir '../';
cleanup 'temp1';
ok((!-d 'temp1'), 'temp1 directory was deleted');




