#!/bin/sh

# For issue600, testing optimize --relink 

set -ev

test $DARCS || DARCS=$PWD/../darcs
ACTUAL_DARCS=`which $DARCS`
DARCSPATH=`dirname $ACTUAL_DARCS`
PATH="$DARCSPATH:$PATH"
export PATH

## compare succeeds if there are hard links
compare () { test `c -cs "$@"` -ne `c -csl "$@"`; }
c () { du "$@" | sed -n '$ { s/[[:space:]].*//; p; }'; }

rm -rf temp
mkdir temp
cd temp

mkdir x
$DARCS init --repodir x
cd x
date > foo
$DARCS add foo
$DARCS record -a -A me -m 'addfoo'
cd ..

## Does the filesystem support hard linking at all?
cp -a x y
cp -al x z
if compare x y || ! compare x z
then
    echo Filesystem for $d does not support hard links.
    exit 0
fi

## Now try relinking using darcs.
rm -rf z
$DARCS optimize --verbose --relink --repodir x --sibling y
rm -rf x/_darcs/patches/pend* y/_darcs/patches/pend*
if compare x/_darcs/patches y/_darcs/patches
then echo darcs --relink is working, hard links were done.
else echo darcs --relink is not working, it did not make any hard links.
     exit 2
fi

cd ..
rm -rf temp
