#!/usr/bin/env perl

use lib qw(lib/perl);

use Test::More qw/no_plan/;

use Test::Darcs;
use Shell::Command;

use strict;

cleanup 'temp1';

mkpath 'temp1';
chdir 'temp1';
darcs 'init';

touch 'foo';
darcs 'add foo';
`echo first > foo`;
darcs 'record -a -m "first edit" -A author1';
`echo second > foo`;
darcs 'record -a -m "second edit" -A author2';
darcs 'tag t1 -A moi';
`echo third > foo`;
darcs 'record -a -m "third edit" -A author3';
`echo fourth > foo`;
darcs 'record -a -m "fourth edit" -A author4';
`echo unrecorded > foo`;
like( darcs('show contents foo'), qr/fourth/, 'show contents sans version arguments' );
like( darcs('show contents foo -p third'), qr/third/, 'show contents -p' );
like( darcs('show contents foo --match="author1 first"'), qr/first/, 'show contents --match' );
like( darcs('show contents foo --tag t1'), qr/second/, 'show contents --tag' );

chdir '../';

# cleanup
cleanup 'temp1';
ok((!-d 'temp1'), 'temp1 directory was deleted');
