#!/usr/bin/env perl

# Some tests for 'darcs tag' 

use Test::More 'no_plan';
use lib 'lib/perl';
use Test::Darcs;
use Shell::Command;
use strict;
use warnings;

cleanup 'temp1';
mkpath  'temp1';
chdir 'temp1';
darcs 'init';
`touch one`;
darcs 'add one';
darcs "record --patch-name 'uno' --all --author foo\@bar";
my $tag_out = darcs "tag -A me soup";
unlike($tag_out, qr/failed/i, 'tagging with tag name on the command line avoids failure');
like($tag_out, qr/TAG/,      'tagging reports success with TAG');

my $changes_out = darcs 'changes --last 1';

like($changes_out,qr/tagged/, 'tagging includes "tagged" in tag name.');

chdir '../';
ok(-d 'temp1', "temp1 exists here");
cleanup 'temp1';
ok((!-d 'temp1'), 'temp1 directory was deleted');





